
Redmine - Patch #33424

Update Tribute to 5.1.3

2020-05-10 05:46 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 4.2.0   

Description

The attached patch updates Tribute, a JavaScript library used for inline issue auto-complete (#31989), from 3.7.3 to 5.1.3.

One of the most interesting features of the latest Tribute is multiple trigger characters added in Tribute 4.1.1. I think we can add

several nice features to Redmine by making use of it, for example, auto-complete for wiki macros that can be invoked by typing "{{".

Related issues:

Blocks Redmine - Feature #33425: Auto complete wiki macros New

Associated revisions

Revision 19785 - 2020-05-18 16:25 - Go MAEDA

Update Tribute to 5.1.3 (#33424).

History

#1 - 2020-05-10 05:47 - Go MAEDA

- Tracker changed from Defect to Patch

#2 - 2020-05-10 09:15 - Go MAEDA

- Blocks Feature #33425: Auto complete wiki macros added

#3 - 2020-05-16 05:24 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-05-17 10:36 - Marius BĂLTEANU

+1

#5 - 2020-05-18 16:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

0001-Update-Tribute-to-5.1.3.patch 264 KB 2020-05-10 Go MAEDA
